const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const pregnancy_followups = sequelize.define(
    'pregnancy_followups',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

followup_number: {
        type: DataTypes.TEXT,
      
      

      },

weight: {
        type: DataTypes.DECIMAL,
      
      

      },

blood_pressure: {
        type: DataTypes.TEXT,
      
      

      },

delivery_plan: {
        type: DataTypes.TEXT,
      
      

      },

next_visit_date: {
        type: DataTypes.DATE,
      
      

      },

price: {
        type: DataTypes.DECIMAL,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  pregnancy_followups.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity














































//end loop



    db.pregnancy_followups.belongsTo(db.patients, {
      as: 'patient',
      foreignKey: {
        name: 'patientId',
      },
      constraints: false,
    });




    db.pregnancy_followups.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.pregnancy_followups.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return pregnancy_followups;
};


